#-------------------------------------------------
#
# Project created by QtCreator 2018-011-22T09:12:54
#
#-------------------------------------------------

QT += widgets core-private gui-private widgets-private

TARGET   = corepdf
TEMPLATE = app

VERSION  = 4.2.0

INCLUDEPATH  += pdfdocument pdfwidget

# Library section
unix:!macx: LIBS += -lcprime-core
unix:!macx: LIBS += -lcprime-widgets
unix:!macx: LIBS += -L/usr/lib -lpoppler-qt5

# thread - Enable threading support
# silent - Do not print the compilation syntax
CONFIG  += thread silent

# Disable QDebug on Release build
CONFIG(release, debug|release):DEFINES += QT_NO_DEBUG_OUTPUT

# Warn about deprecated features
DEFINES += QT_DEPRECATED_WARNINGS
# Disable all deprecated features before Qt 5.15
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x051500

# Build section
BUILD_PREFIX = $$(CA_BUILD_DIR)

isEmpty( BUILD_PREFIX ) {
	BUILD_PREFIX = ./build
}

MOC_DIR       = $$BUILD_PREFIX/moc-qt5
OBJECTS_DIR   = $$BUILD_PREFIX/obj-qt5
RCC_DIR	      = $$BUILD_PREFIX/qrc-qt5
UI_DIR        = $$BUILD_PREFIX/uic-qt5

# C++17 Support for Qt5
QMAKE_CXXFLAGS += -std=c++17

unix {
		isEmpty(PREFIX) {
				PREFIX = /usr
		}
		BINDIR = $$PREFIX/bin

		target.path = $$BINDIR

        DEFINES += VERSION_TEXT=\"\\\"$${VERSION}\\\"\"

		desktop.path = $$PREFIX/share/applications/
		desktop.files = "org.cubocore.CorePDF.desktop"

		icons.path = $$PREFIX/share/icons/hicolor/scalable/apps/
		icons.files = org.cubocore.CorePDF.svg

		INSTALLS += target icons desktop
}

FORMS += \
	corepdf.ui

HEADERS += \
	corepdf.h \
	pdfdocument/qpdfdocument.h \
	pdfdocument/qpdfdocumentrenderoptions.h \
	pdfdocument/qpdfnamespace.h \
	pdfdocument/qpdfpagenavigation.h \
	pdfdocument/qpdfpagerenderer.h \
	pdfdocument/qtpdfglobal.h \
	pdfwidget/qpdfview.h \
	pdfwidget/qpdfview_p.h \
	pdfwidget/qtpdfwidgetsglobal.h \
	settings.h

SOURCES += \
	corepdf.cpp \
	main.cpp \
	pdfdocument/qpdfdocument.cpp \
	pdfdocument/qpdfpagenavigation.cpp \
	pdfdocument/qpdfpagerenderer.cpp \
	pdfwidget/qpdfview.cpp \
	settings.cpp
